const express = require("express");
const { body, param } = require("express-validator");

const {
  search,
  getAllSellers,
} = require("../../controllers/v3/search.controller");
const pagination = require("../../middlewares/pagination");
const radiusSellersSetter = require("../../middlewares/radius-sellers-setter");

const router = express.Router();
router.use(pagination);
router.post("/", radiusSellersSetter, search);
router.get("/seller-companies", getAllSellers);

module.exports = router;
